Welcome! Log In Create A New Profile

Advanced

Conflicting apt-get apache issues

Posted by liefde 
Conflicting apt-get apache issues
May 06, 2013 05:58PM
Installed a fresh debian minimal x64 recently, want it to run php-fpm and nginx, and nothing related to apache*.

The weirdest thing however is that apt-get seems to ignore my wishes and keeps dumping apache warez on the server, whatever I do, I end up in catch-22 situations when I try to remove apache, like apt saying:

The following packages were automatically installed and are no longer required:
libapr1 libaprutil1-ldap locales nginx-common libaprutil1-dbd-sqlite3 geoip-database libgeoip1
liblua5.1-0 libaprutil1 libossp-uuid16 libgd2-noxpm
Use 'apt-get autoremove' to remove them.
The following packages will be REMOVED:
apache2-mpm-worker apache2-utils apache2.2-bin apache2.2-common phpsysinfo squirrelmail
squirrelmail-locales squirrelmail-viewashtml
0 upgraded, 0 newly installed, 8 to remove and 0 not upgraded.
After this operation, 23.1 MB disk space will be freed.
Do you want to continue [Y/n]? n
Abort.

Of course I don't want to remove anything nginx related, when I just want to kill and purge apache off my server!
So why is it doing this?

Another thing is why it wants to remove squirrelmail and phpsysinfo, as if those don't function with nginx? They do just fine thank you very much.

In addition, it keeps re-installing apache2 whenever I try to remove nginx in order to be able to do a clean re-install! It assumes I want apache as a replacement whenever I remove nginx (!?). How do I stop it from forcing apache or lighttpd material down my throat?

Gosh, sometimes linux, especially debian, makes me want to leave everything IT-related and live on an island.
I'll probably end up no longer using dotdeb repos, they only result in messing up my server.
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 83
Record Number of Users: 8 on April 13, 2023
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready